NullParameter Class Reference

Parameter which is always zero \( a(t) = 0 \) More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for NullParameter:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Parameter
const Array & | params () const
void | setParam (Size i, Real x)
bool | testParams (const Array &params) const
Size | size () const
Real | operator() (Time t) const
const ext::shared_ptr< Impl > & | implementation () const
const Constraint & | constraint () const
Protected Member Functions inherited from Parameter
| Parameter (Size size, const ext::shared_ptr< Impl > &impl, const Constraint &constraint)
Protected Attributes inherited from Parameter
ext::shared_ptr< Impl > | impl_
Array | params_
Constraint | constraint_

## Detailed Description

Parameter which is always zero \( a(t) = 0 \)